## sia 1.0.4

=== Makefile ===
# all will build and install developer binaries, which have debugging enabled
# and much faster mining and block constants.
all: install

# dependencies installs all of the dependencies that are required for building
# Sia.
dependencies:
	# Consensus Dependencies
	go get -u github.com/NebulousLabs/demotemutex
	go get -u github.com/NebulousLabs/ed25519
	go get -u github.com/NebulousLabs/merkletree
	go get -u github.com/NebulousLabs/bolt
	go get -u github.com/dchest/blake2b
	# Module + Daemon Dependencies
	go get -u github.com/NebulousLabs/entropy-mnemonics
	go get -u github.com/NebulousLabs/go-upnp
	go get -u github.com/NebulousLabs/muxado
	go get -u github.com/klauspost/reedsolomon
	go get -u github.com/julienschmidt/httprouter
	go get -u github.com/inconshreveable/go-update
	go get -u github.com/kardianos/osext
	# Frontend Dependencies
	go get -u github.com/bgentry/speakeasy
	go get -u github.com/spf13/cobra
	# Developer Dependencies
	go install -race std
	go get -u github.com/golang/lint/golint

# pkgs changes which packages the makefile calls operate on. run changes which
# tests are run during testing.
run = Test
pkgs = ./api ./build ./compatibility ./crypto ./encoding ./modules ./modules/consensus \
       ./modules/explorer ./modules/gateway ./modules/host ./modules/host/storagemanager \
       ./modules/renter ./modules/renter/contractor ./modules/renter/hostdb ./modules/renter/proto \
       ./modules/miner ./modules/wallet ./modules/transactionpool ./persist ./siac ./siad ./sync ./types

# fmt calls go fmt on all packages.
fmt:
	gofmt -s -l -w $(pkgs)

# vet calls go vet on all packages.
# NOTE: go vet requires packages to be built in order to obtain type info.
vet: release-std
	go vet $(pkgs)

# will always run on some packages for a while.
lintpkgs = ./modules ./modules/gateway ./modules/host ./modules/renter/hostdb ./modules/renter/contractor ./persist
lint:
	@for package in $(lintpkgs); do                           \
		golint -min_confidence=1.0 $$package                  \
		&& test -z $$(golint -min_confidence=1.0 $$package) ; \
	done

# install builds and installs developer binaries.
install:
	go install -race -tags='dev debug profile' $(pkgs)

# release builds and installs release binaries.
release:
	go install -tags='debug profile' $(pkgs)
release-race:
	go install -race -tags='debug profile' $(pkgs)
release-std:
	go install $(pkgs)

# clean removes all directories that get automatically created during
# development.
clean:
	rm -rf release doc/whitepaper.aux doc/whitepaper.log doc/whitepaper.pdf

test:
	go test -short -tags='debug testing' -timeout=5s $(pkgs) -run=$(run)
test-v:
	go test -race -v -short -tags='debug testing' -timeout=15s $(pkgs) -run=$(run)
test-long: clean fmt vet lint
	go test -v -race -tags='testing debug' -timeout=500s $(pkgs) -run=$(run)
bench: clean fmt
	go test -tags='testing' -timeout=500s -run=XXX -bench=. $(pkgs)
cover: clean
	@mkdir -p cover/modules
	@mkdir -p cover/modules/renter
	@mkdir -p cover/modules/host
	@for package in $(pkgs); do                                                                                     \
		go test -tags='testing debug' -timeout=500s -covermode=atomic -coverprofile=cover/$$package.out ./$$package \
		&& go tool cover -html=cover/$$package.out -o=cover/$$package.html                                          \
		&& rm cover/$$package.out ;                                                                                 \
	done
cover-integration: clean
	@mkdir -p cover/modules
	@mkdir -p cover/modules/renter
	@mkdir -p cover/modules/host
	@for package in $(pkgs); do                                                                                     \
		go test -run=TestIntegration -tags='testing debug' -timeout=500s -covermode=atomic -coverprofile=cover/$$package.out ./$$package \
		&& go tool cover -html=cover/$$package.out -o=cover/$$package.html                                          \
		&& rm cover/$$package.out ;                                                                                 \
	done
cover-unit: clean
	@mkdir -p cover/modules
	@mkdir -p cover/modules/renter
	@mkdir -p cover/modules/host
	@for package in $(pkgs); do                                                                                     \
		go test -run=TestUnit -tags='testing debug' -timeout=500s -covermode=atomic -coverprofile=cover/$$package.out ./$$package \
		&& go tool cover -html=cover/$$package.out -o=cover/$$package.html                                          \
		&& rm cover/$$package.out ;                                                                                 \
	done

# whitepaper builds the whitepaper from whitepaper.tex. pdflatex has to be
# called twice because references will not update correctly the first time.
whitepaper:
	@pdflatex -output-directory=doc whitepaper.tex > /dev/null
	pdflatex -output-directory=doc whitepaper.tex

.PHONY: all dependencies fmt install release release-std xc clean test test-v test-long cover cover-integration cover-unit whitepaper

## sia 1.0.3

=== debian/changelog ===
sia (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #847706)

 -- Free Ekanayaka <freee@debian.org>  Sun, 30 Oct 2016 13:30:38 +0000

=== debian/control ===
Source: sia
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-bgentry-speakeasy-dev,
               golang-github-dchest-blake2b-dev,
               golang-github-inconshreveable-go-update-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-reedsolomon-dev,
               golang-github-nebulouslabs-bolt-dev,
               golang-github-nebulouslabs-demotemutex-dev,
               golang-github-nebulouslabs-ed25519-dev,
               golang-github-nebulouslabs-entropy-mnemonics-dev,
               golang-github-nebulouslabs-go-upnp-dev,
               golang-github-nebulouslabs-merkletree-dev,
	       golang-github-huin-goupnp-dev,
	       golang-github-inconshreveable-muxado-dev,
               golang-github-spf13-cobra-dev
Standards-Version: 3.9.8
Homepage: https://github.com/NebulousLabs/Sia
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/sia.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/sia.git
XS-Go-Import-Path: github.com/NebulousLabs/Sia

Package: sia
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Blockchain-based marketplace for file storage
 Sia is a decentralized cloud storage platform aimed at giving users
 control of their data. Data is split into hundreds of erasure coded
 pieces and encrypted locally, and then each piece is uploaded to a
 separate host. A blockchain is used to create cryptographic contracts
 ensuring that hosts will only get paid if they actually store the
 data. Out of hundreds of hosts, only a fraction are required to
 recover the original file.
 .
 Anybody can join the network as a host and get income from the
 storage they contribute. This openness allows Sia to build and take
 advantage of a global network of small datacenters. Combined with
 advanced algorithms for storing and retrieving data, Sia is poised to
 be a highly competitive cloud storage platform. More information
 about the technology can be found on our website and in the 'doc'
 folder of the repo.
 .
 Sia is ready for use with small sums of money and non-critical files,
 but until the network has a more proven track record, we advise
 against using it as a sole means of storing important data.

## sia 1.0.4

=== debian/changelog ===
sia (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4

 -- Bjorn Dolk <debian@bjorndolk.com>  Thu, 06 Apr 2017 18:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>
+Uploaders: Free Ekanayaka <freee@debian.org>, Bjorn Dolk <debian@bjorndolk.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

## sia 1.3.0

=== Makefile ===
# all will build and install developer binaries, which have debugging enabled
# and much faster mining and block constants.
all: install

# dependencies installs all of the dependencies that are required for building
# Sia.
dependencies:
	# Consensus Dependencies
	go get -u github.com/NebulousLabs/demotemutex
	go get -u github.com/NebulousLabs/fastrand
	go get -u github.com/NebulousLabs/merkletree
	go get -u github.com/NebulousLabs/bolt
	go get -u golang.org/x/crypto/blake2b
	go get -u golang.org/x/crypto/ed25519
	# Module + Daemon Dependencies
	go get -u github.com/NebulousLabs/entropy-mnemonics
	go get -u github.com/NebulousLabs/errors
	go get -u github.com/NebulousLabs/go-upnp
	go get -u github.com/NebulousLabs/muxado
	go get -u github.com/klauspost/reedsolomon
	go get -u github.com/julienschmidt/httprouter
	go get -u github.com/inconshreveable/go-update
	go get -u github.com/kardianos/osext
	# Frontend Dependencies
	go get -u github.com/bgentry/speakeasy
	go get -u github.com/spf13/cobra/...
	# Developer Dependencies
	go install -race std
	go get -u github.com/golang/lint/golint
	go get -u github.com/NebulousLabs/glyphcheck

# pkgs changes which packages the makefile calls operate on. run changes which
# tests are run during testing.
run = .
pkgs = ./api ./build ./compatibility ./crypto ./encoding ./modules ./modules/consensus                                  \
       ./modules/explorer ./modules/gateway ./modules/host ./modules/host/contractmanager                               \
       ./modules/renter ./modules/renter/contractor ./modules/renter/hostdb ./modules/renter/hostdb/hosttree            \
       ./modules/renter/proto ./modules/miner ./modules/wallet ./modules/transactionpool ./persist ./siac               \
       ./siad ./sync ./types

# fmt calls go fmt on all packages.
fmt:
	gofmt -s -l -w $(pkgs)

# vet calls go vet on all packages.
# NOTE: go vet requires packages to be built in order to obtain type info.
vet: release-std
	go vet $(pkgs)

# will always run on some packages for a while.
lintpkgs = ./modules ./modules/gateway ./modules/host ./modules/renter/hostdb ./modules/renter/contractor ./persist
lint:
	@for package in $(lintpkgs); do                           \
		golint -min_confidence=1.0 $$package                  \
		&& test -z $$(golint -min_confidence=1.0 $$package) ; \
	done

# install builds and installs developer binaries.
install:
	go install -race -tags='dev debug profile' $(pkgs)

# release builds and installs release binaries.
release:
	go install -tags='debug profile' $(pkgs)
release-race:
	go install -race -tags='debug profile' $(pkgs)
release-std:
	go install -ldflags='-s -w' $(pkgs)

# clean removes all directories that get automatically created during
# development.
clean:
	rm -rf release doc/whitepaper.aux doc/whitepaper.log doc/whitepaper.pdf

test:
	go test -short -tags='debug testing' -timeout=5s $(pkgs) -run=$(run)
test-v:
	go test -race -v -short -tags='debug testing' -timeout=15s $(pkgs) -run=$(run)
test-long: clean fmt vet lint
	go test -v -race -tags='testing debug' -timeout=500s $(pkgs) -run=$(run)
test-vlong: clean fmt vet lint
	go test -v -race -tags='testing debug vlong' -timeout=5000s $(pkgs) -run=$(run)
test-cpu:
	go test -v -tags='testing debug' -timeout=500s -cpuprofile cpu.prof $(pkgs) -run=$(run)
test-mem:
	go test -v -tags='testing debug' -timeout=500s -memprofile mem.prof $(pkgs) -run=$(run)
bench: clean fmt
	go test -tags='debug testing' -timeout=500s -run=XXX -bench=$(run) $(pkgs)
cover: clean
	@mkdir -p cover/modules
	@mkdir -p cover/modules/renter
	@mkdir -p cover/modules/host
	@for package in $(pkgs); do                                                                                                 \
		go test -tags='testing debug' -timeout=500s -covermode=atomic -coverprofile=cover/$$package.out ./$$package -run=$(run) \
		&& go tool cover -html=cover/$$package.out -o=cover/$$package.html                                                      \
		&& rm cover/$$package.out ;                                                                                             \
	done

# whitepaper builds the whitepaper from whitepaper.tex. pdflatex has to be
# called twice because references will not update correctly the first time.
whitepaper:
	@pdflatex -output-directory=doc whitepaper.tex > /dev/null
	pdflatex -output-directory=doc whitepaper.tex

.PHONY: all dependencies fmt install release release-std xc clean test test-v test-long cover cover-integration cover-unit whitepaper

=== debian/changelog ===
sia (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Attempt fixing piuparts

  * d/gitlab-ci.yml:
    + Switch to default gitlab-ci.yml -- sia is
    a leaf package w/o revdeps and would break nothing
    + Disable reprotest
  * Move preinst -> sia.preinst
  * Add postrm to remove /var/log/sia and user sia
  * d/sia.logrotate: add missingok

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 May 2022 19:30:53 +0530

sia (1.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add patch to fix FTBFS (Closes: #1008464)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 11:55:44 +0530

sia (1.3.0-1) unstable; urgency=medium

  [ Bjorn Dolk ]
  * Added bash completion for siac
  * Change section to net (Closes: #855271)
  * Added manpages for siac
  * Added logdir to debian/dirs
  * Added logrotate
  * Exact version of muxido for stabillity
  * Manpage for siad
  * Added system-d config
  * Added user sia with home /var/lib/sia
  * Added logdir /var/lib/sia
  * Added patch to write logs to /var/log/sia

  [ Free Ekanayaka ]
  * New upstream version 1.3.0

 -- Free Ekanayaka <freee@debian.org>  Tue, 31 Oct 2017 23:54:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sia
-Section: devel
-Priority: extra
+Section: net
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>, Bjorn Dolk <debian@bjorndolk.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-bgentry-speakeasy-dev,
@@ -18,20 +18,25 @@
                golang-github-nebulouslabs-entropy-mnemonics-dev,
                golang-github-nebulouslabs-go-upnp-dev,
                golang-github-nebulouslabs-merkletree-dev,
-	       golang-github-huin-goupnp-dev,
-	       golang-github-inconshreveable-muxado-dev,
-               golang-github-spf13-cobra-dev
-Standards-Version: 3.9.8
+               golang-github-nebulouslabs-errors-dev,
+               golang-github-huin-goupnp-dev,
+               golang-github-inconshreveable-muxado-dev,
+               golang-github-spf13-cobra-dev,
+               golang-github-xtaci-smux-dev,
+	       golang-github-nebulouslabs-fastrand-dev,
+               bash-completion
+Standards-Version: 4.6.0
 Homepage: https://github.com/NebulousLabs/Sia
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/sia.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/sia.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/sia
+Vcs-Git: https://salsa.debian.org/go-team/packages/sia.git
 XS-Go-Import-Path: github.com/NebulousLabs/Sia
 
 Package: sia
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+	 adduser
 Description: Blockchain-based marketplace for file storage
  Sia is a decentralized cloud storage platform aimed at giving users
  control of their data. Data is split into hundreds of erasure coded

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --with=bash-completion

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	
override_dh_installinit:
